/*
 * Secure X Message Passing Library v2 implementation.
 * (sxmplv2) it superseed all versions before due to the:
 * - memory consumption
 * - new features such as pulse emitting
 * - performance optimization
 *
 * This is a proprietary software. See COPYING for further details.
 *
 * (c) Askele Group 2013-2015 <http://askele.com>
 *
 */

#ifndef __SXMP_LIMITS_H__
#define	__SXMP_LIMITS_H__

#define MAX_RPC_LIST  512

#define MAX_SXMPLBUFSIZE  65536
#define MAX_RBBUF_LEN  (MAX_SXMPLBUFSIZE - sizeof(sxmplv2_head_t))

#define MAX_SXMPLTHREADS  8

#define MAX_LINKS  32768

#endif /* __SXMP_LIMITS_H__ */
